Bug 222685 - [PATCH] "make packagekernel" not checking MK_DEBUG_FILES
Summary: [PATCH] "make packagekernel" not checking MK_DEBUG_FILES
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 11.1-STABLE
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-bugs mailing list
URL: https://reviews.freebsd.org/D12544
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-09-29 14:02 UTC by Vinícius Zavam
Modified: 2017-11-14 15:16 UTC (History)
2 users (show)

See Also:


Attachments
[PATCH] "make packagekernel" not checking MK_DEBUG_FILES (1.85 KB, patch)
2017-09-29 14:02 UTC, Vinícius Zavam
no flags Details | Diff
[PATCH] "make packagekernel" not checking MK_DEBUG_FILES (2.59 KB, patch)
2017-10-17 07:55 UTC, Vinícius Zavam
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2017-09-29 14:02:48 UTC
Created attachment 186799 [details]
[PATCH] "make packagekernel" not checking MK_DEBUG_FILES

following the behavior of previous checks on DEBUG_DISTRIBUTIONS=, if one has MK_DEBUG_FILES=no in the /etc/make.conf a "make packagekernel" should not create any -dbg.txz tarball for KERNCONF (even with extra kernels listed).

how to reproduce? checkout stable/11 branch's src, cd to its dir and play;

    # svnlite info
    Path: .
    Working Copy Root Path: /usr/src
    URL: svn://svn.freebsd.org/base/stable/11
    Relative URL: ^/stable/11
    Repository Root: svn://svn.freebsd.org/base
    Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
    Revision: 324100
    Node Kind: directory
    Schedule: normal
    Last Changed Author: markj
    Last Changed Rev: 324085
    Last Changed Date: 2017-09-28 15:23:38 +0000 (Thu, 28 Sep 2017)

    # mkdir /dist
    # make -s buildworld
    # make -s buildkernel
    # make -s distributeworld DISTDIR=/dist
    # make -s distributekernel DISTDIR=/dist
    # make -s packageworld DISTDIR=/dist
    # make -s packagekernel DISTDIR=/dist

doing so, will present you with all -dbg.txz under /dist.

remove all *.txz files you created, set MK_DEBUG_FILES=no and rerun "packageworld" and "packagekernel"; you will still get kernel-dbg.txz...

    # make -s packageworld DISTDIR=/dist MK_DEBUG_FILES=no
    # make -s packagekernel DISTDIR=/dist MK_DEBUG_FILES=no

apply the suggested patch, and do it again.
Comment 1 Vinícius Zavam freebsd_committer 2017-10-17 07:55:34 UTC
Created attachment 187231 [details]
[PATCH] "make packagekernel" not checking MK_DEBUG_FILES

Here is the updated patch to reflect other improvements committed on HEAD@r322401. 'create-kernel-packages' TARGET is now blessed by this patch.

Following https://reviews.freebsd.org/D12544
Comment 2 Vinícius Zavam freebsd_committer 2017-11-14 11:11:59 UTC
emaste@, loos@,
hi.

Any considerations?

The diff is still available, and could be merged (into STABLE) or do we need to take care of something else? I would be happy to help in any aspect.

Current diff has the updates and merges got from gjb@ already.
Comment 3 Glen Barber freebsd_committer 2017-11-14 15:16:45 UTC
Merged to stable/11 as r325808.